<?php

namespace Plainwork\Database;

interface DatabaseAdapterInterface
{
    public function prepareQuery(string $sqlWithPlaceholders, array $args);
    public function query(string $sql);
    public function addIndexSql(string $table, array $cols): array;
}
